Hooks:PostHook(PlayerManager, "on_headshot_dealt", "GPD_PM_headshot_dealt",
	function (self)
		local t = Application:time()
		self:_check_guardian_hot(t)
		self:_check_guardian_armour_hot(t)
	end
)

local msm = PlayerManager.movement_speed_multiplier
function PlayerManager:movement_speed_multiplier(speed_state, bonus_multiplier, upgrade_level, health_ratio)
	local multiplier = msm(self, speed_state, bonus_multiplier, upgrade_level, health_ratio)
	
	if self:has_category_upgrade("player", "hpbreak_movement_multiplier") then
		if tweak_data.player.gpd.urgency_ratio and health_ratio and health_ratio > tweak_data.player.gpd.urgency_ratio then
			self._above_break = true
		end
		
		local t = Application:time()
		
		if self._healthbreak_t and t < self._healthbreak_t then
			return multiplier * self:upgrade_value("player", "hpbreak_movement_multiplier")
		end
		if (self._on_healthbreak_t and t < self._on_healthbreak_t) or not self._above_break then
			return multiplier
		end
		if tweak_data.player.gpd.urgency_ratio and health_ratio and health_ratio <= tweak_data.player.gpd.urgency_ratio then
			multiplier = multiplier * self:upgrade_value("player", "hpbreak_movement_multiplier")
			self._healthbreak_t = t + (tweak_data.player.gpd.urgency or 0)
			self._on_healthbreak_t = t + (tweak_data.player.gpd.urgency or 0) + (tweak_data.player.gpd.urgency_interval or 0)
			self._above_break = false
		end
	end
	return multiplier
end

function PlayerManager:_check_guardian_hot(t)
	local player_unit = self:player_unit()
	if not self:has_category_upgrade("player", "headshot_hot") then
		return
	end
	if not alive(player_unit) or player_unit:character_damage():need_revive() or player_unit:character_damage():dead() then
		return
	end
	
	local data = tweak_data.upgrades.headshot_hot_data
	if not data then
		return
	end
	if self._next_allowed_g_doh_t and t < self._next_allowed_g_doh_t then
		return
	end
	
	player_unit:character_damage():add_headshot_to_hot(false)
	self._next_allowed_g_doh_t = t + data.stacking_cooldown
end
function PlayerManager:_check_guardian_armour_hot(t)
	local player_unit = self:player_unit()
	if not self:has_category_upgrade("player", "armour_headshot_hot") then
		return
	end
	if not alive(player_unit) or player_unit:character_damage():need_revive() or player_unit:character_damage():dead() then
		return
	end
	local data = tweak_data.upgrades.armour_headshot_hot_data
	if not data then
		return
	end
	if self._next_allowed_armor_doh_t and t < self._next_allowed_armor_doh_t then
		return
	end
	player_unit:character_damage():add_headshot_to_hot(true)
	self._next_allowed_armor_doh_t = t + data.stacking_cooldown
end