Hooks:PostHook(PlayerStandard, "update", "GPD_PS_Update",
	function (self, t, dt)
		self:_update_mantra(t, dt)
	end
)

function PlayerStandard:_update_mantra(t, dt)
	local forbidden = managers.player:current_state() == "civilian" or self:_interacting() or self:_on_zipline() or self._moving or self:running() or self:in_air() or not tweak_data.player.gpd.mantra
	
	local has_skill = managers.player:has_category_upgrade("player", "standing_hot")
	if forbidden or not has_skill then
		if self._state_data.mantra_t then
			self._state_data.mantra_t = nil
		end
		return
	end
	-- sets mantra timer to itself or t + timer if it doesn't exist yet
	self._state_data.mantra_t = self._state_data.mantra_t or t + tweak_data.player.gpd.mantra
	if t >= self._state_data.mantra_t then
		self._unit:character_damage():add_standing_heal()
		self._state_data.mantra_t = t + tweak_data.player.gpd.mantra_interval
	end
end