local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
	
	local n = #self.specializations + 1
	self.specializations[n] = {
		name_id = "guardian_pd",
		desc_id = "guardian_pd_desc",
		{
			upgrades = {
				"guardian_headshot_hot_1"
			},
			cost = 200,
			icon_xy = {0, 0},
			name_id = "guardian_pd_1",
			desc_id = "guardian_pd_1_desc"
		},
		{ -- deck 2
			upgrades = {
				"weapon_passive_headshot_damage_multiplier"
			},
			cost = 300,
			icon_xy = {1, 0},
			name_id = "menu_deckall_2",
			desc_id = "deck2_fix"
		}, 
		{
			upgrades = {
				"guardian_headshot_hot_2"
			},
			cost = 400,
			icon_xy = {0,0},
			name_id = "guardian_pd_2",
			desc_id = "guardian_pd_2_desc"
		},
		{ -- deck 4
			upgrades = {
				"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"
			},
			cost = 600,
			icon_xy = {3, 0},
			name_id = "menu_deckall_4",
			desc_id = "deck4_fix"
		},
		{
			upgrades = {
				"guardian_hpbreak_movement_multiplier"
			},
			cost = 1000,
			icon_xy = {0, 0},
			name_id = "guardian_pd_3",
			desc_id = "guardian_pd_3_desc"
		},
		{ -- deck 6
			upgrades = {
				"armor_kit",
				"player_pick_up_ammo_multiplier"
			},
			cost = 1600,
			icon_xy = {5, 0},
			name_id = "menu_deckall_6",
			desc_id = "deck6_fix"
		},
		{
			upgrades = {
				"guardian_standing_hot"
			},
			cost = 2400,
			icon_xy = {0, 0},
			name_id = "guardian_pd_4",
			desc_id = "guardian_pd_4_desc"
		},
		{ -- deck 8
			upgrades = {
				"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier",
				"player_passive_dodge_chance_3"
			},
			cost = 3200,
			icon_xy = {7, 0},
			name_id = "menu_deckall_8",
			desc_id = "deck8_fix"
		},
		{
			upgrades = {
				"player_passive_loot_drop_multiplier",
				"guardian_armour_headshot_hot"
			},
			cost = 4000,
			icon_xy = {0, 0},
			name_id = "guardian_pd_5",
			desc_id = "guardian_pd_5_desc"
		}
	}
end