local data = UpgradesTweakData.init
function UpgradesTweakData:init(tweak_data)
	data(self, tweak_data)
	
	self.headshot_hot_data = {
		tick_time = 0.4,
		total_ticks = 5,
		stacking_cooldown = 1.5
	}
	self.armour_headshot_hot_data = {
		tick_time = 0.25,
		total_ticks = 4,
		stacking_cooldown = 1.5
	}
	
	self.values.player.headshot_hot = {0.2, 0.4} -- cooling off and level headed
	self.values.player.armour_headshot_hot = {0.8} -- spectacles
	self.values.player.standing_hot = {0.5} -- mantra
	self.values.player.headshot_kill_heal = {0.1} -- unused
	self.values.player.hpbreak_movement_multiplier = {1.4} -- urgency
	
	self.definitions.guardian_hpbreak_movement_multiplier = {
		category = "feature",
		name_id = "guardian_hpbreak_movement_multiplier",
		upgrade = {
			category = "player",
			upgrade = "hpbreak_movement_multiplier",
			value = 1
		}
	}
	
	self.definitions.guardian_hp_1 = {
		category = "feature",
		name_id = "guardian_hp_1",
		upgrade = {
			category = "player",
			upgrade = "passive_health_multiplier",
			value = 5
		}
	}
	self.definitions.guardian_hp_2 = {
		category = "feature",
		name_id = "guardian_hp_2",
		upgrade = {
			category = "player",
			upgrade = "passive_health_multiplier",
			value = 6
		}
	}
	self.definitions.guardian_hp_3 = {
		category = "feature",
		name_id = "guardian_hp_3",
		upgrade = {
			category = "player",
			upgrade = "passive_health_multiplier",
			value = 7
		}
	}
	
	self.definitions.guardian_headshot_hot_1 = { -- cooling off
		category = "feature",
		name_id = "headshot_hot_1",
		upgrade = {
			category = "player",
			upgrade = "headshot_hot",
			value = 1
		}
	}
	self.definitions.guardian_headshot_hot_2 = { -- level headed
		category = "feature",
		name_id = "headshot_hot_2",
		upgrade = {
			category = "player",
			upgrade = "headshot_hot",
			value = 2
		}
	}
	self.definitions.guardian_armour_headshot_hot = { -- urgency
		category = "feature",
		name_id = "armor_headshot_hot",
		upgrade = {
			category = "player",
			upgrade = "armour_headshot_hot",
			value = 1
		}
	}
	self.definitions.guardian_standing_hot = { -- mantra
		category = "feature",
		name_id = "standing_hot",
		upgrade = {
			category = "player",
			upgrade = "standing_hot",
			value = 1
		}
	}
	self.definitions.guardian_headshot_kill_heal = { -- spectacles
		category = "feature",
		name_id = "headshot_kill_heal",
		upgrade = {
			category = "player",
			upgrade = "headshot_kill_heal",
			value = 1
		}
	}
end